<_templates Include="trucks">
	<Wheel>
		<TrailerWheel
			HardpointOffsetY="-0.2"
			SuspensionMin="-0.3"
			Type="gaz_rear"
		/>
	</Wheel>
</_templates>
<Truck>
	<Wheels
		HardpointDefaultY="0.513"
		HardpointDefaultZ="0.95"
	>
		<Wheel
			_template="TrailerWheel"
			HardpointX="-4.928"
			SuspensionStrength="0.012"
		/>
		<Wheel
			_template="TrailerWheel"
			HardpointX="-4.928"
			RightSide="true"
			SuspensionStrength="0.012"
		/>
	</Wheels>
	<TruckData>
		<OcclusionMap
			HalfSizeZ="1.8"
			MinX="-5.862"
			MaxX="-3.008"
			Texture="trucks/occlusion/chassis_trailer__s_d_a.tga"
		/>
		<Constraint _template="TrailerRagdoll">
			<TwistMotor _inheritRemove="true" />
		</Constraint>
		<Camera Center="(-4.0; 0; 0)" />
		<Axles>
			<Axle Frame="BoneAxle" />
		</Axles>
	</TruckData>
	<PoweredConstraints>
		<Group Id="_trailer_foot">
			<Constraint InitialFix="true" Name="Foot" Position="-60" />
		</Group>
	</PoweredConstraints>
	<PhysicsModel Mesh="trucks/trailer_gaz">
		<Body ImpactType="Truck" Mass="1200">
			<Body Collisions="None" Mass="10" ModelFrame="BoneRoof_cdt">
				<Constraint
					AxisLocal="(1; 0; 0)"
					MinLimit="-10"
					MaxLimit="10"
					Type="Hinge"
				>
					<Motor Damping="100" Spring="2000" Type="Spring" />
				</Constraint>
			</Body>
			<Body
				ForceBodyParams="true"
				Mass="100"
				ModelFrame="BoneFoot_cdt"
				NoFoliageCollisions="true"
			>
				<Constraint
					AxisLocal="(0; 0; 1)"
					MinLimit="-60"
					MaxLimit="0"
					Name="Foot"
					Type="Hinge"
				>
					<Motor Force="8000" Type="Position" />
				</Constraint>
			</Body>
		</Body>
	</PhysicsModel>
	<ModelAttachments>
		<StopSignals>
			<Light _template="StopSignal" Pos="(-5.793; 0.903; 0)" ParentFrame="BoneRear_cdt" />
			<Flare _template="StopSignal" Pos="(-5.993; 0.903; 0.796)" ParentFrame="BoneRear_cdt" />
			<Flare _template="StopSignal" Pos="(-5.993; 0.903; -0.796)" ParentFrame="BoneRear_cdt" />
		</StopSignals>
		<Ignition>
			<Light _template="IgnitionSignalRed" Pos="(-5.793; 0.903; 0)" ParentFrame="BoneRear_cdt" />
			<Flare _template="IgnitionSignalRed" Pos="(-5.993; 0.903; 0.735)" ParentFrame="BoneRear_cdt" />
			<Flare _template="IgnitionSignalRed" Pos="(-5.993; 0.903; -0.735)" ParentFrame="BoneRear_cdt" />
		</Ignition>
	</ModelAttachments>
	<GameData GaragePoints="1">
		<WinchSocket Pos="(-5.95; 0.914; 0)" />
		<InstallSocket Offset="(-2.46; 0.908; 0.0)" Type="GazTrailer" />
	</GameData>
</Truck>
